Subject: Re: bug#62614: Tramp attempts to remove lock file with 'remote-file-name-inhibit-locks t

From: Michael Albinus <[email-masked]>
Date: Mon, 03 Apr 2023 12:30:17 +0200

Yuri D'Elia <[email-masked]> writes:

Hi Yuri,

>> I fully agree with you that it should follow the behavior of local files
>> too, so I wouldn't change anything here _just_ for tramp.
>
> Thinking loudly, if we inhibit lock creation, what's your opinion on the
> unlock warning (for the generic local case)?
>
> IMHO if lock creation is inhibited, we could still attempt to remove the
> lock to keep the old behavior, but then the warning shouldn't be
> generated as you don't expect the lock to exist in the normal case.

That might be an option. But it wouldn't fix your use case, where you
try to avoid the file locking machinery for remote files at all.

Best regards, Michael.